package sgc.portal.cs.cscom.persistence;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cscom.dto.CSCOMSearch;
import sgc.portal.cs.cspop.dto.CSPOPSearch;

import java.util.List;

@Mapper
public interface CSCOMMapper {
	
	//위치
	List<EasyHashMap<String, Object>> getComboLoc(CSCOMSearch search);
	//현장별대공종
	List<EasyHashMap<String, Object>> getComboLjob(CSCOMSearch search);
	//현장별하자공종
	List<EasyHashMap<String, Object>> getComboJob(CSCOMSearch search);
	//하자원인
	List<EasyHashMap<String, Object>> getComboCaus(CSCOMSearch search);
	//하자유형
	List<EasyHashMap<String, Object>> getComboType(CSCOMSearch search);
	
	//위치(현장)
	List<EasyHashMap<String, Object>> getComboSiteLoc(CSCOMSearch search);
	//현장별대공종(현장)
	List<EasyHashMap<String, Object>> getComboSiteLjob(CSCOMSearch search);
	//현장별하자공종(현장)
	List<EasyHashMap<String, Object>> getComboSiteJob(CSCOMSearch search);
	//하자원인(현장)
	List<EasyHashMap<String, Object>> getComboSiteCaus(CSCOMSearch search);
	//하자유형(현장)
	List<EasyHashMap<String, Object>> getComboSiteType(CSCOMSearch search);
	//현장별 동(현장)
	List<EasyHashMap<String, Object>> getComboSiteDong(CSCOMSearch search);
	//현장별 호수(현장)
	List<EasyHashMap<String, Object>> getComboSiteHo(CSCOMSearch search);
	//현장별 동 호수 정보(현장)
	List<EasyHashMap<String, Object>> getComboSiteInfo(CSCOMSearch search);
	//회사직영AS사업자번호
	List<EasyHashMap<String, Object>> getCovendInfo(CSCOMSearch search);
}
